SET(
	FILE_LISTS
    source/Core/Diagonalize/Pure_Diagonalize.cpp
    source/Core/Diagonalize/Direct_Diagonalize.cpp
    source/Core/Diagonalize/Create_Diagonalize.cpp
    source/Basis/Basis.cpp
    source/Basis/Create_Basis.cpp
    source/Basis/Grid_Setting/Grid_Atoms.cpp
	source/Basis/Grid_Setting/Grid_Basic.cpp
	source/Basis/Grid_Setting/Grid_Setting.cpp
	source/Basis/Grid_Setting/Grid_Sphere.cpp
    source/Basis/Basis_Function/Basis_Function.cpp
    source/Basis/Basis_Function/Finite_Difference.cpp
	source/Basis/Basis_Function/Sinc.cpp
	source/Basis/Basis_Function/Laguerre.cpp
	source/Basis/Basis_Function/Legendre.cpp
    source/Basis/Kinetic_Matrix.cpp
    source/State/State.cpp
    source/State/Scf_State.cpp
    source/Io/Atom.cpp
    source/Io/Atoms.cpp
    source/Io/Io_Atoms.cpp
    source/Io/Io.cpp
    source/Io/Io_Input.cpp
    source/Io/Periodic_table.cpp
    source/Compute/Create_Compute.cpp
    source/Compute/Create_Compute_Interface.cpp
    source/Compute/Guess.cpp
    source/Compute/Atomic_Density.cpp
    source/Compute/Huckel.cpp
    source/Compute/Grid_Cutting.cpp
    source/Compute/Random.cpp
    source/Compute/Cube.cpp
    source/Compute/Cube_Density.cpp
    source/Compute/Cube_Density_from_Orbitals.cpp
    source/Utility/EHT_parameter.cpp
    source/Compute/Core_Hamiltonian.cpp
    source/Compute/main.cpp
    source/Compute/Scf.cpp
    source/Compute/Scf2.cpp
    source/Compute/Force.cpp
    source/Compute/Force_KB.cpp
    source/Compute/Initialize_Guess.cpp
    source/Compute/TDDFT.cpp
    source/Compute/TDDFT_C.cpp
    source/Compute/TDDFT_ABBA.cpp
    source/Compute/TDDFT_TDA.cpp
    source/Compute/Poisson_Solver.cpp
	source/Compute/Gaussians_Kernel.cpp
    source/Compute/Exchange_Correlation.cpp
    source/Compute/Libxc.cpp
    source/Compute/KLI.cpp
    source/Compute/Dipole.cpp
	source/Compute/Compute_XC.cpp
    source/Compute/Core_Hamiltonian_Matrix.cpp
    source/Compute/XC_Custom.cpp
    source/Compute/XC_LC_wPBE_NGau.cpp
    source/Compute/Create_Mode.cpp
	source/State/XC_State.cpp
    source/Core/Occupation/Create_Occupation.cpp
    source/Core/Occupation/Occupation.cpp
    source/Core/Occupation/Occupation_Zero_Temp.cpp
    source/Core/Occupation/Occupation_Fermi.cpp
    source/Core/Occupation/Occupation_From_Input.cpp
    source/Core/Pseudo-potential/KBprojector.cpp
    source/Core/Pseudo-potential/Filter.cpp
    source/Core/Pseudo-potential/Upf2KB.cpp
    source/Core/Pseudo-potential/Hgh2KB.cpp
    source/Core/Pseudo-potential/Nuclear_Potential.cpp
    source/Core/Pseudo-potential/Nuclear_Potential_Matrix.cpp
    source/Core/Mixing/Mixing.cpp
    source/Core/Mixing/Linear_Mixing.cpp
    source/Core/Mixing/Linear_Mixing_Density.cpp
    source/Core/Mixing/Linear_Mixing_Potential.cpp
    source/Core/Mixing/Pulay_Mixing.cpp
    source/Core/Mixing/Pulay_Mixing_Density.cpp
    source/Core/Mixing/Pulay_Mixing_Potential.cpp
    source/Core/Mixing/Pulay_Mixing_Polarizability.cpp
    source/Core/Mixing/Broyden_Mixing_Density.cpp
    source/Core/Mixing/Broyden_Mixing_Potential.cpp
    source/Core/Mixing/Broyden_Mixing.cpp
    source/Core/Mixing/Create_Mixing.cpp
    source/Core/Convergence/Convergence_HOMO.cpp
    source/Core/Convergence/Convergence_EigenvalueSum.cpp
    source/Core/Convergence/Convergence_Density.cpp
    source/Core/Convergence/Convergence_Energy.cpp
    source/Core/Convergence/Create_Convergence.cpp
    source/Core/ExternalField/Create_External_Field.cpp
    source/Core/ExternalField/External_Field.cpp
    source/Core/ExternalField/External_Field_Analytic.cpp
    source/Core/ExternalField/External_Field_From_Input.cpp
    source/Core/ExternalField/External_Field_Cube.cpp
    source/Core/Mixing/Linear_Mixing_Orbital.cpp
    source/Core/Solvation/Create_Solvation.cpp
    source/Utility/Value_Coef.cpp
    source/Utility/Hirshfeld.cpp
    source/Utility/Interpolation/Spline_Interpolation.cpp
    source/Utility/Interpolation/Linear_Interpolation.cpp
    source/Utility/Interpolation/Trilinear_Interpolation.cpp
    source/Utility/Interpolation/Tricubic_Interpolation.cpp
    source/Utility/Read/Read_Upf.cpp
    source/Utility/Read/Read_Hgh.cpp
    source/Utility/Read/Read_Hgh_Internal.cpp
    source/Utility/Default_Values/Set_Default_Values.cpp
    source/Utility/Default_Values/Set_Basic_Information.cpp
    source/Utility/Density/Density_Orbital.cpp
    source/Utility/Density/Density_From_Orbitals.cpp
    source/Utility/Density/Density_Orbital_Derivatives.cpp
    source/Utility/String_Util.cpp
    source/Utility/Verbose.cpp
    source/Utility/Two_e_integral.cpp
    source/Utility/Read/Read_Cube.cpp
    source/Utility/Read/Read_Output.cpp
    source/Utility/Double_Grid.cpp
    source/Utility/Default_Values/Set_EDISON.cpp
    source/Utility/Change_Indice.cpp
    source/Utility/Parallel_Manager.cpp
    source/Utility/Parallel_Util.cpp
    source/Utility/Time_Measure.cpp
    source/Utility/SolverUtil.cpp
    source/Utility/SymMMMul.cpp
    source/Utility/Kernel_Integral.cpp
    source/Utility/ParamList_Util.cpp
    source/Utility/Math/Faddeeva.cpp
    source/Utility/Math/Bessel.cpp
    source/Utility/Math/Spherical_Harmonics.cpp
    source/Utility/Math/Spherical_Harmonics_Derivative.cpp
    source/Utility/Math/Spherical_Harmonics_Expansion.cpp
    source/Utility/Calculus/Numerical_Derivatives.cpp
    source/Utility/Calculus/Lebedev_Quadrature.cpp
    source/Utility/Calculus/Lagrange_Derivatives.cpp
    source/Utility/Calculus/Integration.cpp
)

SET(
    FILE_LISTS_DFTD3
    source/Utility/Dispersion/dispersion.cpp
    source/Utility/Dispersion/dispersion.f90
)

SET(
    FILE_LISTS_USE_MKL
	source/Compute/DDA.cpp
)
SET(
	FILE_LISTS_CI
    source/Compute/CISD.cpp
    source/Compute/CI_Occupation.cpp
    source/Compute/CISD_Occupation.cpp
    source/Compute/CIS.cpp
    source/Compute/CIS_Occupation.cpp
    source/Compute/Full_matrix_CISD.cpp
)
SET(
	FILE_LISTS_CUDA
    source/Core/DataType/Gpu/CUDA_Hamiltonian_Matrix.cpp
    source/Core/DataType/Gpu/CUDA_MultiVec.cpp
    source/Utility/CUDA_Kernel_Integral.cu
    source/Utility/CUDA_Lagrange_Derivatives.cu
)
SET(
    FILE_LISTS_PAW
    source/Utility/Read/Read_Paw.cpp
    source/Core/Mixing/Linear_Mixing_PAW_Density.cpp
    source/Core/Mixing/Broyden_Mixing_PAW_Density.cpp
    source/Core/Mixing/Pulay_Mixing_PAW_Density.cpp
    source/Core/Pseudo-potential/Paw_Species.cpp
    source/Core/Pseudo-potential/Paw_XC.cpp
    source/Core/Pseudo-potential/Paw_Atom.cpp
    source/Core/Pseudo-potential/Paw.cpp
    source/Core/Pseudo-potential/Paw_Util.cpp
    source/Compute/Force_Paw.cpp
    source/Utility/Interpolation/Radial_Grid_Paw.cpp
    source/Compute/Paw_Guess.cpp
)
SET(
    FILE_LISTS_PCM
    source/Core/Solvation/Interface_PCMSolver.cpp
)
SET(
    FILE_LISTS_OPT
    source/Compute/Opt.cpp
)

    #source/Compute/MultiVec.cpp

#    source/Compute/Restart.cpp
    #source/Compute/CIS.cpp
    #source/Compute/CIS_DFT.cpp

    #source/Compute/Matrix_Multiplication.cpp
    #source/Compute/Otp.cpp
	#source/Pseudo-potential/File2read.cpp
	#source/Compute/Primme_Diagonalize.cpp
